# framework::get-framework-directory

Gets the framework directory of the specified framework.

### Usage

`string framework::get-framework-directory(framework)`

### Parameters

Name | Type | Description
--- | --- | ---
framework | string | The framework of which the framework directory should be returned.

### Return Value

The framework directory of the specified framework.

### Exceptions

The function will fail in any of the following circumstances:

- framework is not a valid framework identifier.

### Requirements

Assembly: NAnt.Core (0.92.4543.0)

### See Also

framework::get-runtime-framework() | framework::get-target-framework()